package com.tencent.liteav.demo.superplayer;

/**
 * 超级播放器支持三种方式播放视频:
 * 1. 视频 URL
 * 填写视频 URL, 如需使用直播时移功能，还需填写appId
 * 2. 腾讯云点播 File ID 播放
 * 填写 appId 及 videoId (如果使用旧版本V2, 请填写videoIdV2)
 * 3. 多码率视频播放
 * 是URL播放方式扩展，可同时传入多条URL，用于进行码率切换
 */
public class SuperPlayerModel {
    public String sectionId = "";

    public String url = "";      // 视频URL

    public String title = "";    // 视频文件名 （用于显示在UI层);

    public String cover;

    public int duration;

    public boolean isEnableCache = false; // 是否开启缓存能力,默认关闭

    public boolean isLast = false;
}
